Package com.independentsoft.office.odf

# Class HelpMessage

java.lang.Object
com.independentsoft.office.odf.HelpMessage

public class HelpMessage extends Object
Represents a message to display if a user selects a cell.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HelpMessage()`
  Initializes a new instance of the HelpMessage class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HelpMessage`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<Paragraph>`
  `getParagraphs()`
  Contains a collection of Paragraph objects.
  `String`
  `getTitle()`
  Gets the title of a help or error message.
  `boolean`
  `isDisplayMessage()`
  Specifies whether a table is displayed.
  `void`
  `setDisplayMessage​(boolean displayMessage)`
  Specifies whether a table is displayed.
  `void`
  `setTitle​(String title)`
  Sets the title of a help or error message.
  `String`
  `toString()`
  Converts the value of the current HelpMessage object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HelpMessage

    public HelpMessage()
    Initializes a new instance of the HelpMessage class.

- ## Method Details

  - ### clone

    public HelpMessage clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current HelpMessage object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getParagraphs

    public List<Paragraph> getParagraphs()
    Contains a collection of Paragraph objects.
    Returns:
      the paragraphs

  - ### getTitle

    public String getTitle()
    Gets the title of a help or error message.
    Returns:
      the title

  - ### setTitle

    public void setTitle​(String title)
    Sets the title of a help or error message.
    Parameters:
      `title` - the new title

  - ### isDisplayMessage

    public boolean isDisplayMessage()
    Specifies whether a table is displayed.
    Returns:
      true, if is display message

  - ### setDisplayMessage

    public void setDisplayMessage​(boolean displayMessage)
    Specifies whether a table is displayed.
    Parameters:
      `displayMessage` - the new display message